﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace xamTree_NodeEvents
{
    public class SampleCities : INotifyPropertyChanged
    {
        #region Fields
        
        /// <summary>
        /// Name of the city.
        /// </summary>
        private string m_cityName;

        /// <summary>
        /// Population of the city.
        /// </summary>
        private int m_cityPopulation;
        
        #endregion

        #region Properties

        /// <summary>
        /// Name of the city.
        /// </summary>
        public string CityName
        {
            get { return this.m_cityName; }
            set { this.m_cityName = value; PropertyChanged(this, new PropertyChangedEventArgs("CityName")); }
        }

        /// <summary>
        /// Population of the city.
        /// </summary>
        public int CityPopulation
        {
            get { return this.m_cityPopulation; }
            set { this.m_cityPopulation = value; PropertyChanged(this, new PropertyChangedEventArgs("CityPopulation")); }
        }

        #endregion

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion

        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="name">The name of the city.</param>
        /// <param name="population">How many people live here.</param>
        public SampleCities(string name, int population)
        {
            this.m_cityName = name;
            this.m_cityPopulation = population;
        }

        /// <summary>
        /// Override so we show the city's name.
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            return this.CityName;
        }
    }
}
